[build-system]
requires = ["flit_core >=3.2,<4"]
build-backend = "flit_core.buildapi"

[project]
name = "mocka"
authors = [
    {name = "Arkadiusz Michał Ryś", email = "Arkadiusz.Michal.Rys@gmail.com"},
    {name = "Lucas Albertins de Lima", email = "lucas.albertinsdelima@uantwerpen.be"},
    {name = "Rakshit Mittal", email = "rakshit.mittal@uantwerpen.be"},
]
readme = "README.md"
requires-python = ">=3.9"
classifiers = [
    "License :: OSI Approved :: MIT License",
    "Programming Language :: Python :: 3",
    "Development Status :: 2 - Pre-Alpha",
    "Intended Audience :: Developers",
    "Natural Language :: English",
]
dynamic = ["version", "description"]
license = {file = "LICENSE"}
keywords = ["mocka"]
dependencies = [
    "toml~=0.10.2",
    "arklog~=0.5.1",
    "dacite~=1.8.1",
    "fastapi~=0.103.1",
    "pyarrow~=13.0.0",
    "requests~=2.31.0",
    "starlette~=0.27.0",
    "python-magic~=0.4.27",
    "uvicorn[standard]~=0.23.2",
]

[project.optional-dependencies]
test = [
    "httpx~=0.25.0",
    "pytest~=7.4.0",
]
doc = [
    "sphinx~=7.2.6",
]
dev = [
    "tox~=4.11.3",
    "pip~=23.2.1",
    "flit~=3.9.0",
    "twine~=4.0.2",
    "vermin~=1.5.1",
    "numpy~=1.26.0",
    "invoke~=2.2.0",
    "jinja2~=3.1.2",
    "flake8~=6.1.0",
    "coverage~=7.3.1",
]

[project.urls]
source = "https://git.rys.one/dtdesign/mocka"